Index: terepaima-0.4.16/moc/moc_searchtask.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_searchtask.cpp	(revision 3d9584517ff74faaa29038acf42374227f030fe2)
+++ terepaima-0.4.16/moc/moc_searchtask.cpp	(revision 1487f05dbbaee1f4def7af3890c76efff5e0d60e)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'searchtask.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.3.2)
+** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -15,5 +15,5 @@
 #error "The header file 'searchtask.h' doesn't include <QObject>."
 #elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.3.2. It"
+#error "This file was generated using the moc from 5.7.1. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -23,29 +23,30 @@
 struct qt_meta_stringdata_qpdfview__SearchTask_t {
     QByteArrayData data[16];
-    char stringdata[167];
+    char stringdata0[167];
 };
 #define QT_MOC_LITERAL(idx, ofs, len) \
     Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SearchTask_t, stringdata) + ofs \
+    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SearchTask_t, stringdata0) + ofs \
         - idx * sizeof(QByteArrayData)) \
     )
 static const qt_meta_stringdata_qpdfview__SearchTask_t qt_meta_stringdata_qpdfview__SearchTask = {
     {
-QT_MOC_LITERAL(0, 0, 20),
-QT_MOC_LITERAL(1, 21, 15),
-QT_MOC_LITERAL(2, 37, 0),
-QT_MOC_LITERAL(3, 38, 8),
-QT_MOC_LITERAL(4, 47, 12),
-QT_MOC_LITERAL(5, 60, 5),
-QT_MOC_LITERAL(6, 66, 13),
-QT_MOC_LITERAL(7, 80, 7),
-QT_MOC_LITERAL(8, 88, 5),
-QT_MOC_LITERAL(9, 94, 21),
-QT_MOC_LITERAL(10, 116, 5),
-QT_MOC_LITERAL(11, 122, 4),
-QT_MOC_LITERAL(12, 127, 9),
-QT_MOC_LITERAL(13, 137, 10),
-QT_MOC_LITERAL(14, 148, 11),
-QT_MOC_LITERAL(15, 160, 6)
+QT_MOC_LITERAL(0, 0, 20), // "qpdfview::SearchTask"
+QT_MOC_LITERAL(1, 21, 15), // "progressChanged"
+QT_MOC_LITERAL(2, 37, 0), // ""
+QT_MOC_LITERAL(3, 38, 8), // "progress"
+QT_MOC_LITERAL(4, 47, 12), // "resultsReady"
+QT_MOC_LITERAL(5, 60, 5), // "index"
+QT_MOC_LITERAL(6, 66, 13), // "QList<QRectF>"
+QT_MOC_LITERAL(7, 80, 7), // "results"
+QT_MOC_LITERAL(8, 88, 5), // "start"
+QT_MOC_LITERAL(9, 94, 21), // "QVector<Model::Page*>"
+QT_MOC_LITERAL(10, 116, 5), // "pages"
+QT_MOC_LITERAL(11, 122, 4), // "text"
+QT_MOC_LITERAL(12, 127, 9), // "matchCase"
+QT_MOC_LITERAL(13, 137, 10), // "wholeWords"
+QT_MOC_LITERAL(14, 148, 11), // "beginAtPage"
+QT_MOC_LITERAL(15, 160, 6) // "cancel"
+
     },
     "qpdfview::SearchTask\0progressChanged\0"
@@ -95,4 +96,5 @@
     if (_c == QMetaObject::InvokeMetaMethod) {
         SearchTask *_t = static_cast<SearchTask *>(_o);
+        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->progressChanged((*reinterpret_cast< int(*)>(_a[1]))); break;
@@ -121,4 +123,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&SearchTask::progressChanged)) {
                 *result = 0;
+                return;
             }
         }
@@ -127,4 +130,5 @@
             if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&SearchTask::resultsReady)) {
                 *result = 1;
+                return;
             }
         }
@@ -134,5 +138,5 @@
 const QMetaObject qpdfview::SearchTask::staticMetaObject = {
     { &QThread::staticMetaObject, qt_meta_stringdata_qpdfview__SearchTask.data,
-      qt_meta_data_qpdfview__SearchTask,  qt_static_metacall, 0, 0}
+      qt_meta_data_qpdfview__SearchTask,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
 };
 
@@ -145,6 +149,6 @@
 void *qpdfview::SearchTask::qt_metacast(const char *_clname)
 {
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchTask.stringdata))
+    if (!_clname) return Q_NULLPTR;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SearchTask.stringdata0))
         return static_cast<void*>(const_cast< SearchTask*>(this));
     return QThread::qt_metacast(_clname);
@@ -171,5 +175,5 @@
 void qpdfview::SearchTask::progressChanged(int _t1)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)) };
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
@@ -178,5 +182,5 @@
 void qpdfview::SearchTask::resultsReady(int _t1, const QList<QRectF> & _t2)
 {
-    void *_a[] = { 0, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
+    void *_a[] = { Q_NULLPTR, const_cast<void*>(reinterpret_cast<const void*>(&_t1)), const_cast<void*>(reinterpret_cast<const void*>(&_t2)) };
     QMetaObject::activate(this, &staticMetaObject, 1, _a);
 }
